$(document).ready(function () {
    $('.quantity').change();

});

$(".data").on('click', function () {
    var id = $(this).attr('data-id');
    var date = $(this).attr('data-em');
    $.post('ajax.php?do=change', {id:id,date:date}, function (data) {
        if (data = 1 ) {
            if (date == 3) {
                $('.remov'+id).hide();
            }else if (date == 1) {
                $('.plusitemp'+id).html(
                    '<a class="btn blue btn-xs data" data-id="'+id+'" data-em="0" style="color: red"></i>تفعيل</a>'
                );
            }else if(date == 0) {
                $('.plusitemp'+id).html(
                    '<a class="btn red btn-xs data" data-id="'+id+'" data-em="1" style="color: blue"></i>تعطيل</a>'
                );
            }
        }
    });
});
var itr = document.getElementById("itr").value;
//select2client
$(".select2client").select2({
    placeholder: "إسم العميل",
    ajax: {
        url: "elemamajax.php",
        dataType: 'json',
        data: function (term, page) {
            return {
                term: term, //search term
            };
        },
        results: function (data) {

            return {results: data};
        }
    },
    formatResult:formatResult = function (data) {
        return  data.text+ '<span style="display: none">' + data.id+'</span>';
    }

});
var clientname = $('#client').val();
$('#client').select2('data', {id: '1', text: clientname});
//**************************************************************************************************************************
for (i = 1; i <= itr; i++) {

//select2product
    $(".select2product" + i).select2({

        placeholder: "إسم المنتج1",
        minimumInputLength: 0,
        multiple: false,
// quietMillis: 100,
        ajax: {
            url: "sellbillAjaxController.php?do=getProducts",
            dataType: 'json',
            data: function (term, page) {
                return {
                    term: term, //search term
                    page_limit: 10, // page size,
                    storeid: 1,
                    hiddenpricetype: 1

                };
            },
            results: function (data) {
                return {results: data};
            }
        },
        formatResult: formatResult = function (data) {
            return data.text + '<span  style="float: left;  width: 30%;">' + data.productquantity + '<span  style="  float: left;  width: 30%;">' + data.price + '<span style="display: none">' + data.id + data.logo + '</span>';
        }
    });

//**************************************************************************************************************************
//select2product change
    $(".select2product" + i).on('change', function () {
        var itr = $(this).attr('data-itr');
        var prostore = $(".select2product" + itr).select2('data').productquantity;
        var price = $(".select2product" + itr).select2('data').price;
        var logo = $(".select2product" + itr).select2('data').logo;
        $('#quantity' + itr).attr({
            "max" : prostore,
            "min" : 0
        });

        $('#prostore' + itr).val(prostore);
        $('#price' + itr).val(price);
        $('.quantity').change();
        $("#images" + itr).attr('src', '../views/default/images/product_image/' + logo);
    });
    var productname = $('#product'+i).attr('data-name');
    var product = $('#product'+i).val();
    if (product > 1) {
        $('#product' + i).select2('data', {id: product, text: productname});
    }


}
$(".images").on('click', function () {
    var itr = $(this).attr('data-itr');
    var log = $("#images"+itr).attr("src");
    $("#images").attr('src',log);

});
$(".image").on('click',function () {
    var log = $(this).attr("src");
    $("#image").attr('src',log);
});

//**************************************************************************************************************************
//add row
$('#addpro').on('click', function () {
    var itr = $('#itr').val();

    itr++;

    $('#added').append(' <tr>\n' +
        ' <td >'+
        '<button type="button"  data-toggle="modal" data-target=".bs-example-modal-lg" style="padding: 0" > <img style="width: 30px;height: 20px;padding: 0" src=""  data-itr="' + itr + '"  id="images' + itr + '" class="images" ></button>'+
        '</td>'+
        '<td class="productdiv' + itr + '">\n' +
        '<input type="hidden" id="product' + itr + '" name="product' + itr + '" class="select2product' + itr + ' wdt100 select2-offscreen selproduct"  data-itr="' + itr + '" data-placeholder="اختر منتج" tabindex="-1" style="display: inline-block;">\n' +
        '</td>\n' +
        '<td class="quantity' + itr + '">\n' +
        '<input type="number" step="any"  name="quantity' + itr +'" id="quantity' + itr +'" class="form-control  positivefloat quantity quant quantstore"  min="1"  max="" required value="1"  data-itr="' + itr + '">\n' +
        '</td>\n' +
        '<td class="prostore' + itr + '">\n' +
        '<input type="number" step="any"  name="prostore' + itr + '" id="prostore' + itr + '" class="form-control  positivefloat quantity prostore quantstore" min="1"  readonly value="1"  data-itr="' + itr + '">\n' +
        '</td>' +
        '<td class="proavailable' + itr + '">' +
        '<input type="number" step="any"  name="proavailable' + itr + '" id="proavailable' + itr + '" class="form-control  positivefloat quantity proavailable" min="1"  readonly value="1"  data-itr="' + itr + '">\n' +
        '</td>' +
        '<td class="prominus' + itr + '">' +
        '<input type="number" step="any"  name="prominus' + itr + '" id="prominus' + itr + '" class="form-control  positivefloat quantity prominus " min="0"  value="0" readonly data-itr="' + itr + '">\n' +
        '</td>' +
        '<td  class="price' + itr + '">' +
        '<input type="number" step="any"  name="price' + itr + '" id="price' + itr + '" class="form-control  positivefloat quantity price " min="1" value="0"  data-itr="' + itr + '">\n' +
        '</td>' +
        '<td class="total' + itr + '">' +
        '<input name="total' + itr + '" step="any"  id="total' + itr + '" class="form-control  positiveNo quantity total  " min="1"  readonly value="0" type="number" data-itr="' + itr + '">\n' +
        '</td>' +
        '<td class="remove' + itr + '">' +
        '<button id="remove' + itr + '" type="button" class="close flt-none  remove" aria-hidden="true" data-itr="' + itr + '">×</button>' +
        '</td>' +
        '</tr>');


    //**************************************************************************************************************************


    //select2product + itr
    $(".select2product"+ itr).select2({
        placeholder: "إسم المنتج1",
        minimumInputLength: 0,
        multiple: false,
        // quietMillis: 100,
        ajax: {
            url: "sellbillAjaxController.php?do=getProducts",
            dataType: 'json',
            data: function (term, page) {
                return {
                    term: term, //search term
                    page_limit: 10, // page size,
                    storeid: 1,
                    hiddenpricetype: 1

                };
            },
            results: function (data) {

                return {results: data};
            }
        },
        formatResult:formatResult = function (data) {

            return  data.text + '<span  style="float: left;  width: 30%;">' + data.productquantity+ '<span  style="  float: left;  width: 30%;">' + data.price +'<span style="display: none">'+ data.id+ data.logo+ data.productName+'</span>';
        }

    });

    //**************************************************************************************************************************


// select2product
    $(".select2product" + itr).on('change', function () {
        var itr = $(this).attr('data-itr');
        var prostore = $(".select2product" + itr).select2('data').productquantity;
        var price = $(".select2product" + itr).select2('data').price;
        var logo = $(".select2product" + itr).select2('data').logo;
        $('#quantity' + itr).attr({
            "max" : prostore,
            "min" : 0
        });
        $('#prostore' + itr).val(prostore);
        $('#price' + itr).val(price);
        $('.quantity').change();
        $("#images" + itr).attr('src', '../views/default/images/product_image/' + logo);
    });

    $(".images").on('click', function () {
        var itr = $(this).attr('data-itr');
        var log = $("#images"+itr).attr("src");
        $("#images").attr('src',log);

    });
    $('#itr').val(itr);


});


//**************************************************************************************************************************


//remove add
$(document).on('click', '.remove', function () {
    var itr =$(this).attr('data-itr');
    $('#quantity'+itr).val(0);
    $('#prominus'+itr).val(0);
    $('#prostore'+itr).val(0);
    $('#proavailable'+itr).val(0);
    $('#price'+itr).val(0);
    $('#total'+itr).val(0);
    $('.quantity').change();
    $(this).parent().parent().remove();
});
//**************************************************************************************************************************



//quantity
$(document).on('change', '.quantity', function () {

    var itr =$(this).attr('data-itr');
    var prostor=$('#prostore'+itr).val();
    var quantit =$('#quantity'+itr).val();
    if ( Number(prostor) >=  Number(quantit)){
    }else{
        $('#quantity' + itr).attr({
            "max" : Number(prostor),
            "min" : 0
        });
        $('#proavailable'+itr).val(prostor);
        $('#quantity'+itr).val(prostor);


    }

    var quant=0;
    $('.quant').each(function () {
        var itr =$(this).attr('data-itr');
        var price=$('#price'+itr).val();
        var prostore=$('#prostore'+itr).val();

        var inputval=$(this).val()
        if($.isNumeric(inputval));
        quant += Number(inputval);
        if ( Number(prostore) <  Number(inputval)){
            var total = prostore * price;
            $('#total'+itr).val(total);
        }else {
            var quantprice =inputval * price;
            $('#total'+itr).val(quantprice);
        }


    });
    $('.allquantity').text(quant);
    $('.allquantity').val(quant);


    var availableprice=0;
    var proavailable=0;
    $('.proavailable').each(function () {
        var itr =$(this).attr('data-itr');
        var price=$('#price'+itr).val();
        var inputval=$(this).val();
        if($.isNumeric(inputval));
        proavailable += Number(inputval);
        availableprice += inputval  * price;
    });
    $('.allquantavailable').text(proavailable);
    $('.priceavailable').text(availableprice);
    $('.allquantavailable').val(proavailable);
    $('.priceavailable').val(availableprice);




    var storeprice=0;
    var prostore=0;
    $('.prostore').each(function () {
        var itr =$(this).attr('data-itr');
        var price=$('#price'+itr).val();
        var inputval=$(this).val();
        if($.isNumeric(inputval));
        prostore += Number(inputval);
        storeprice += inputval * price;
    });
    $('.allquantstore').text(prostore);
    $('.pricestore').text(storeprice);
    $('.allquantstore').val(prostore);
    $('.pricest').val(storeprice);



    var total=0;
    $('.total').each(function () {
        var inputval=$(this).val();
        if($.isNumeric(inputval));
        total += Number(inputval);
    });
    $('.total').text(total);
    $('.totall').val(total);


});


//**************************************************************************************************************************
//
// $(".data").on('click', function () {
//     var id = $(this).attr('data-id');
//     var date = $(this).attr('data-em');
//     $.post('offerclient.php?do=change', {id:id,date:date}, function (data) {
//         if (data = 1 ) {
//             if (date == 3) {
//                 $('.remov'+id).hide();
//             }else if (date == 1) {
//                 $('.plusitemp'+id).html(
//                     '<a class="btn blue btn-xs data" data-id="'+id+'" data-em="0" style="color: red"></i>تفعيل</a>'
//                 );
//             }else if(date == 0) {
//                 $('.plusitemp'+id).html(
//                     '<a class="btn red btn-xs data" data-id="'+id+'" data-em="1" style="color: blue"></i>تعطيل</a>'
//                 );
//             };
//         }
//     });
// });
// var itr = document.getElementById("itr").value;
// //select2client
// $(".select2client").select2({
//     placeholder: "إسم العميل",
//     ajax: {
//         url: "elemamajax.php",
//         dataType: 'json',
//         data: function (term, page) {
//             return {
//                 term: term, //search term
//             };
//         },
//         results: function (data) {
//
//             return {results: data};
//         }
//     },
//     formatResult:formatResult = function (data) {
//         return  data.text;
//     }
// });
// $('#product2').select2('data', {id: '123', text: 'productname'});
//
// //**************************************************************************************************************************
// for (i = 1; i <= itr; i++) {
//
// //select2product
//     $(".select2product" + i).select2({
//
//         placeholder: "إسم المنتج1",
//         minimumInputLength: 0,
//         multiple: false,
// // quietMillis: 100,
//         ajax: {
//             url: "sellbillAjaxController.php?do=getProducts",
//             dataType: 'json',
//             data: function (term, page) {
//                 return {
//                     term: term, //search term
//                     page_limit: 10, // page size,
//                     storeid: 1,
//                     hiddenpricetype: 1
//
//                 };
//             },
//             results: function (data) {
//                 return {results: data};
//             }
//         },
//         formatResult: formatResult = function (data) {
//             console.log(data);
//             return data.text + '<span  style="float: left;  width: 30%;">' + data.productquantity + '<span  style="  float: left;  width: 30%;">' + data.price + '<span style="display: none">' + data.id + data.logo + '</span>';
//         }
//     });
//
//
// //**************************************************************************************************************************
// //select2product change
//     $(".select2product" + i).on('change', function () {
//         var itr = $(this).attr('data-itr');
//         var prostore = $(".select2product" + itr).select2('data').productquantity;
//         var price = $(".select2product" + itr).select2('data').price;
//         var logo = $(".select2product" + itr).select2('data').logo;
//         $('#quantity' + itr).attr({
//             "max" : prostore,
//             "min" : 0
//         });
//
//         $('#prostore' + itr).val(prostore);
//         $('#price' + itr).val(price);
//         $('.quantity').change();
//         $("#images" + itr).attr('src', '../views/default/images/product_image/' + logo);
//     });
//
//
//
// }
// $(".images").on('click', function () {
//     var itr = $(this).attr('data-itr');
//     var log = $("#images"+itr).attr("src");
//     $("#images").attr('src',log);
//
// });
// $(".image").on('click',function () {
//     var log = $(this).attr("src");
//     $("#image").attr('src',log);
// });
//
// //**************************************************************************************************************************
// //add row
// $('#addpro').on('click', function () {
//     var itr = $('#itr').val();
//     itr++;
//     $('#added').append(' <tr>\n' +
//         ' <td >'+
//         '<button type="button"  data-toggle="modal" data-target=".bs-example-modal-lg" style="padding: 0" > <img style="width: 30px;height: 20px;padding: 0" src=""  data-itr="' + itr + '"  id="images' + itr + '" class="images" ></button>'+
//         '</td>'+
//         '<td class="productdiv' + itr + '">\n' +
//         '<input type="hidden" id="product' + itr + '" name="product' + itr + '" class="select2product' + itr + ' wdt100 select2-offscreen selproduct"  data-itr="' + itr + '" required data-placeholder="اختر منتج" tabindex="-1" style="display: inline-block;">\n' +
//         '</td>\n' +
//         '<td class="quantity' + itr + '">\n' +
//         '<input type="number" name="quantity' + itr +'" id="quantity' + itr +'" class="form-control  positivefloat quantity quant quantstore"  required value="1"  data-itr="' + itr + '">\n' +
//         '</td>\n' +
//         '<td class="prostore' + itr + '">\n' +
//         '<input type="number" name="prostore' + itr + '" id="prostore' + itr + '" class="form-control  positivefloat quantity prostore quantstore" readonly value="1"  data-itr="' + itr + '">\n' +
//         '</td>' +
//         '<td class="proavailable' + itr + '">' +
//         '<input type="number" name="proavailable' + itr + '" id="proavailable' + itr + '" class="form-control  positivefloat quantity proavailable"  value="1"  data-itr="' + itr + '">\n' +
//         '</td>' +
//         '<td class="prominus' + itr + '">' +
//         '<input type="number" name="prominus' + itr + '" id="prominus' + itr + '" class="form-control  positivefloat quantity prominus "  value="0"  data-itr="' + itr + '">\n' +
//         '</td>' +
//         '<td  class="price' + itr + '">' +
//         '<input type="number" name="price' + itr + '" id="price' + itr + '" class="form-control  positivefloat quantity price " value="0"  data-itr="' + itr + '">\n' +
//         '</td>' +
//         '<td class="total' + itr + '">' +
//         '<input name="number' + itr + '" id="total' + itr + '" class="form-control  positiveNo quantity total  " readonly value="0" type="number" data-itr="' + itr + '">\n' +
//         '</td>' +
//         '<td class="remove' + itr + '">' +
//         '<button id="remove' + itr + '" type="button" class="close flt-none  remove" aria-hidden="true">×</button>' +
//         '</td>' +
//         '</tr>');
//
//
//     //**************************************************************************************************************************
//
//
//     //select2product + itr
//     $(".select2product"+ itr).select2({
//         placeholder: "إسم المنتج1",
//         minimumInputLength: 0,
//         multiple: false,
//         // quietMillis: 100,
//         ajax: {
//             url: "sellbillAjaxController.php?do=getProducts",
//             dataType: 'json',
//             data: function (term, page) {
//                 return {
//                     term: term, //search term
//                     page_limit: 10, // page size,
//                     storeid: 1,
//                     hiddenpricetype: 1
//
//                 };
//             },
//             results: function (data) {
//
//                 return {results: data};
//             }
//         },
//         formatResult:formatResult = function (data) {
//
//             return  data.text + '<span  style="float: left;  width: 30%;">' + data.productquantity+ '<span  style="  float: left;  width: 30%;">' + data.price +'<span style="display: none">'+ data.id+ data.logo+ data.productName+'</span>';
//         }
//
//     });
//
//     //**************************************************************************************************************************
//
//
// // select2product
//     $(".select2product" + itr).on('change', function () {
//         var itr = $(this).attr('data-itr');
//         var prostore = $(".select2product" + itr).select2('data').productquantity;
//         var price = $(".select2product" + itr).select2('data').price;
//         var logo = $(".select2product" + itr).select2('data').logo;
//
//         $('#prostore' + itr).val(prostore);
//         $('#price' + itr).val(price);
//         $('.quantity').change();
//         $("#images" + itr).attr('src', '../views/default/images/product_image/' + logo);
//     });
//
//     $(".images").on('click', function () {
//         var itr = $(this).attr('data-itr');
//         var log = $("#images"+itr).attr("src");
//         $("#images").attr('src',log);
//
//     });
//
//     $('#itr').val(itr);
//
//
// });
//
//
// //**************************************************************************************************************************
//
//
// //remove add
// $(document).on('click', '.remove', function () {
//     $(this).parent().parent().remove();
// });
//
// //**************************************************************************************************************************
//
//
//
// //quantity
// $(document).on('change', '.quantity', function () {
//
//     var itr =$(this).attr('data-itr');
//     var prostor=$('#prostore'+itr).val();
//     var quantit =$('#quantity'+itr).val();
//     if ( Number(prostor) >=  Number(quantit)){
//         $('#proavailable'+itr).val(quantit);
//         $('#prominus'+itr).val(0);
//     }else{
//         alert( ' الكميه غير متاحه من المنتج ,يجب ال تزيد عن المتاح' + prostor);
//         var promin =   Number (quantit) -  Number(prostor) ;
//         $('#prominus'+itr).val(promin);
//         $('#proavailable'+itr).val(prostor);
//
//     }
//
//     var quant=0;
//     $('.quant').each(function () {
//         var itr =$(this).attr('data-itr');
//         var price=$('#price'+itr).val();
//         var prostore=$('#prostore'+itr).val();
//
//
//         var inputval=$(this).val()
//         if($.isNumeric(inputval));
//         quant += Number(inputval);
//         if ( Number(prostore) <  Number(inputval)){
//             var total = prostore * price;
//             $('#total'+itr).val(total);
//         }else {
//             var quantprice =inputval * price;
//             $('#total'+itr).val(quantprice);
//         }
//
//
//     });
//     $('.allquantity').text(quant);
//     $('.allquantity').val(quant);
//
//
//
//
//
//     var storeprice=0;
//     var prostore=0;
//     $('.prostore').each(function () {
//         var itr =$(this).attr('data-itr');
//         var price=$('#price'+itr).val();
//         var inputval=$(this).val();
//         if($.isNumeric(inputval));
//         prostore += Number(inputval);
//         storeprice += inputval * price;
//     });
//     $('.allquantstore').text(prostore);
//     $('.pricestore').text(storeprice);
//     $('.allquantstore').val(prostore);
//     $('.pricest').val(storeprice);
//
//
//
//     var total=0;
//     $('.total').each(function () {
//         var inputval=$(this).val();
//         if($.isNumeric(inputval));
//         total += Number(inputval);
//     });
//     $('.total').text(total);
//     $('.totall').val(total);
//
// });
//
//
// //**************************************************************************************************************************
